We are using IDM 4.0.2 on SLES 11.
Trying to use some ECMAScript I found out that some of the ECMAScript 5
vocabulary is not supported.
A call of the used Rhino class
(com.novell.soa.script.mozilla.javascript.tools.sh ell.Main) on the
command line showed the used Rhino version:

Rhino 1.6 release 1 2004 08 11

I wonder if there is no update of this nearly nine years old Rhino
release available from Novell/NetIQ.
My first thought to download a current Rhino release from the Mozilla
project and just replace the js.jar file in the classes directory
doesn't work because Novell is using a different class path than Mozilla
(com.novell.soa.script.mozilla.javascript... vs.
Does anybody know a solution to use current ECMAScript language standard
within IDM without the need to recompile the whole Rhino project with
the Novell class paths?

Thank you,


rhaeber's Profile: https://forums.netiq.com/member.php?userid=230
View this thread: https://forums.netiq.com/showthread.php?t=47580